---
layout: default
title: Project Info
permalink: /project/
---

# Basic Overview

So the basic idea is to fork FreeBSD, re-write userspace and other utils under the CNPL in order to scare away anyone who disregards basic human rights, hopefully resulting in a welcoming user base that is truly inclusive and anyone can feel safe in. GayBSD is going to be a project by and for the community, with absolutely zero corporate interference whatsoever. 

We're still going to keep the basic FreeBSD code as due to the license we'd have to completely rewrite it in order to use the CNPL.

## Goals

Unlike most *NIX operating systems out there, GayBSD is aimed primarily at desktops/laptops and small homeservers. Because abolishing any form of gatekeeping is part of the core philosophy, simpler implementations are generally favourable over better performing ones when adding new features in order to keep the code as easily understandable as possible. Reimplementations of userspace programs in "friendlier" languages than ANSI C are also possible, as long as it's not breaking stuff. Even though forking a Linux distro would lower the bar to entry even further because way more people are familiar with it, this unfortunately is probably not in the project's best interest because the GPL prohibits modifications under a different license. And it wouldn't piss off RMS nearly as much.
