---
layout: default
title: About
permalink: /about/
---

# About

Welcome to the official site of GayBSD! 

## Contact

In the future we'll probably have dedicated emails for this, but for now just use one of the ones at the bottom!

Copy-pasteable gpg commands to import our public keys if you're in a hurry:

```
curl https://bsd.gay/felix-pgp.txt | gpg --import
```
```
curl https://bsd.gay/erin-pgp.txt | gpg --import
```

## Sauce

If you want to study the source code for this webbed site or any other project
of ours, you should seek professional help immediately.  If you have done so and
still haven't changed your mind, you may visit my
[Gitea](https://git.bsd.gay/web/website)
or clone the source for this site directly:

```
git clone https://git.bsd.gay/web/website.git
```

## Privacy Policy

This site does not use any Cookies, JavaScript, or external Content Delivery
Networks whatsoever.  The only data collected about your visit is:

- The current time
- The request URL
- Your IP address
- Your user agent

This data is deleted automatically after 7 days and never handed to third
parties.  I, the operator of this site, have legitimate interest as per the
General Data Protection Regulation of the European Union in doing so in order
to identify and act against potential attacks against the site's infrastructure.

## Font Credits

### Oleo Script

Copyright (c) 2012, Soytutype (contact@soytutype.com.ar|soytutype@gmail.com),
with Reserved Font Name "Oleo Script"

This Font Software is licensed under the SIL Open Font License, Version 1.1.
<http://scripts.sil.org/OFL>

